<!DOCTYPE html>
<html lang="ru">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="style.css">
        <title>Задание 3</title>
    </head>
    <body>
        <header>
          <div id="header-container">
            <img id="logo" src="images/logo.png" alt="Логотип компании">
            <div id="sitename">Название сайта</div>
          </div>
        </header>
        <nav>
            <ul id="menu">
                <li><a href="">Главная</a></li>
                <li><a href="">Новости</a></li>
                <li><a href="">О нас</a></li>
                <li><a href="">Как добраться</a></li>
            </ul>
        </nav>

        <main>
            <ol>
                <li><a href="http://exmaple.com">абсолютную гиперссылку на главную страницу сайта example.com;</a></li>
                <li><a href="https://example.com">абсолютную на главную сайта example.com в протоколе https;</a></li>
                <li><a href="ftp://example.com/plot.txt">ссылку на файл на сервере FTP без авторизации;</a></li>
                <li><a href="ftp://login:pass123@example.com/plot.txt">ссылку на файл на сервере FTP с авторизацией;</a></li>
                <li><a href="https://www.matrixresurrections.net#trailer">ссылку на фрагмент страницы некоторого сайта;</a></li>
                <li><a href="#send-button">ссылка на фрагмент текущей страницы(кнопка отправки формы)</a></li>
                <li><a href="https://www.matrixresurrections.net?morpheus=redpill&cypher=bluepill">ссылку с двумя параметрами в URL;</a></li>
                <li>
                    <ul>
                        <li><a href="index.html" title="Что такое матрица?">Главная</a></li>
                        <li><a href="news.html" title="Новости из мира матрицы">Новости</a></li>
                        <li><a href="blog.html" title="Интересные истории из мира матрицы">Блог</a></li>
                        <li><a href="about.html" title="Где найти Морфеуса">О нас</a></li>
                    </ul>
                </li>
                <li><a>ссылка без href</a></li>
                <li><a href="">ссылка с пустым href</a></li>
                <li><a href="http://example.com" rel="nofollow">ссылку, по которой запрещен переход поисковикам;</a></li>
                <li><a href="http://example.com" rel="noindex">запрещенную для индексации поисковиками;</a></li>
                <li><p>это параграф, а это <a href="http://exmaple.com">контекстная ссылка</a></p></li>
                <li><a href="http://example.com"><img src="images/2240x1680.jpg" width="150" height="120" alt="Желтый цветок"></a></li>
                <li><img src="images/2240x1680.jpg" width="150" height="120" usemap="#flower" alt="Желтый цветок"></li>
                <li><a href="trailer.html">относительную на страницу в текущем каталоге;</a></li>
                <li><a href="about/film.html">относительную на страницу в текущем каталоге;</a></li>
                <li><a href="../thematrix.html">относительную на страницу в каталоге уровнем выше текущего; </a></li>
                <li><a href="../../Vachovsky.html">относительную на страницу в каталоге двумя уровнями выше;</a></li>
                <li><a href="/home">сокращенную на главную;</a></li>
                <li><a href="/news">сокращенную ссылку на внутреннюю.</a></li>
            </ol>
    
            <map name="flower">
                <area shape="rect" coords="0,0,30,120" href="http://example.com" alt="ссылка на ресурс"/>
                <area shape="rect" coords="0,0,150,10" href="http://example.com" alt="ссылка на ресурс"/>
                <area shape="rect" coords="120,0,150,120" href="http://example.com" alt="ссылка на ресурс"/>
                <area shape="rect" coords="0,110,150,120" href="http://example.com" alt="ссылка на ресурс"/>
                <area shape="circle" coords="75,57,12" href="http://example.com" alt="ссылка на ресурс"/>
            </map>

            <table id="table-ex">
                <tbody>
                    <tr>
                        <th>Столбец 1</th>
                        <th>Столбец 2</th>
                        <th>Столбец 3</th>
                    </tr>
                    <tr>
                        <td class="highlighted-odd">Элемент 1.1</td>
                        <td colspan="2" class="connected-elements">Элементы 2.1 + 3.1</td>
                    </tr>

                    <tr>
                        <td rowspan="2" class="connected-elements">Элементы 2.1+3.1</td>
                        <td class="highlighted-even">Элемент 2.2</td>
                        <td class="highlighted-odd">Элемент 2.3</td>
                    </tr>

                    <tr>
                        <td class="highlighted-even">Элемент 3.2</td>
                        <td class="highlighted-odd">Элемент 3.3</td>
                    </tr>

                    <tr>
                        <td class="highlighted-odd">Элемент 4.1</td>
                        <td class="highlighted-even">Элемент 4.2</td>
                        <td class="highlighted-odd">Элемент 4.3</td>
                    </tr>

                    <tr>
                        <td class="highlighted-odd">Элемент 5.1</td>
                        <td class="highlighted-even">Элемент 5.2</td>
                        <td class="highlighted-odd">Элемент 5.3</td>
                    </tr>
                </tbody>
            </table><br/>
            
            <form id="contact-data-form">
                <label>
                    Имя:<br/>
                    <input name="user-name" value="Морфеус"/>
                </label><br/>
    
                <label>
                    Email:<br/>
                    <input name="field-email" value="destroythem@trix.gmail" type="email"/>
                </label><br>
                
                <label>
                    Дата рождения:<br/>
                    <input name="field-date" value="1999-10-14" type="date"/> 
                </label><br/>
    
                Пол:<br/>
                <label> 
                    <input type="radio" checked="checked" name="field-gender" value="Male"/>
                    Мужской
                </label><br/>
    
                <label> 
                    <input type="radio" checked="checked" name="field-gender" value="Female"/>
                    Женский
                </label><br/>
    
                <label> 
                    <input type="radio" checked="checked" name="field-gender" value="ai"/>
                    ИИ
                </label><br/>
    
                Количетсво конечностей:<br/>
                <label>
                    <input type="radio" checked="checked" name="number-of-limbs" value="4"/>
                    Все
                </label><br/>  
                
                <label>
                    <input type="radio" checked="checked" name="number-of-limbs" value="3"/>
                    3
                </label><br/>  
    
                <label>
                    <input type="radio" checked="checked" name="number-of-limbs" value="2"/>
                    Половина
                </label><br/>  
    
                <label>
                    <input type="radio" checked="checked" name="number-of-limbs" value="1"/>
                    1
                </label><br/> 
                
                <label>
                    <input type="radio" checked="checked" name="number-of-limbs" value="0"/>
                    Я машина
                </label><br/>  
    
                <label>
                    Сверхспособности:<br/>
                    <select name="superpowers" multiple>
                        <option value="immortality">Бессмертие</option>
                        <option value="passing_through_walls">Прохождение сковзь стены</option>
                        <option value="levitation">Левитация</option>
                    </select>
                </label><br/>
    
                <label>
                    Расскажите о себе. Верите ли Вы в судьбу?<br/>
                    <textarea name="biography">Мне приятнее думать, что тобой манипулируют</textarea>
                </label><br/>
    
                <label>
                    Помни я всего лишь предлагаю узнать правду, не более
                    <input type="checkbox" checked="checked" name="check-alice"/>
                </label>
    
                <br>
                <input type="submit" value="Отправить" id="send-button"/>
            </form>
        </main>

        <footer>
            <div>&#xa9; Богдан Михаенко 2021</div>
        </footer>

    </body>
</html>
